1st Services Logo
Cloud Infrastructure

Managed Databases

Production-ready PostgreSQL, MySQL, Redis, and MongoDB clusters with automated replication, backups, and metrics.

Managed Databases

1st Services Managed Databases removes the operational overhead of provisioning, patching, scaling, and backing up database clusters.


Supported Database Engines

PostgreSQL (v15 / v16)
Advanced relational DB with PostGIS, pgvector, full-text search, and connection pooling (PgBouncer).
MySQL (v8.0 / v8.4)
High-throughput relational database with InnoDB, GTID replication, and automated binlog replication.
Redis / Valkey (v7.2)
In-memory key-value store, caching layer, Pub/Sub, and streams with cluster sharding.
MongoDB (v7.0)
Document database for unstructured data with replica sets and automatic indexing.

Database Plans & Sizing

TierEngine RAMDedicated vCPUNVMe StorageMax ConnectionsBackup Retention
db-starter-11 GB1 vCPU20 GB1007 Days
db-standard-24 GB2 vCPU60 GB50014 Days
db-pro-48 GB4 vCPU150 GB1,50030 Days
db-scale-816 GB8 vCPU300 GB4,00030 Days

Provisioning a Database via API

Endpoint

POST https://api.1st-services.com/v1/databases

Request Body

{
  "name": "production-pg-cluster",
  "engine": "postgresql",
  "version": "16",
  "plan": "db-standard-2",
  "region": "us-east-1",
  "enable_connection_pool": true,
  "vpc_id": "vpc_98214"
}

Example Response

{
  "status": "success",
  "data": {
    "id": "db_9918231",
    "name": "production-pg-cluster",
    "engine": "postgresql",
    "version": "16",
    "status": "ready",
    "host": "pg-cluster-9918231.db.1st-services.com",
    "port": 5432,
    "database": "defaultdb",
    "username": "firstadmin",
    "connection_uri": "postgresql://firstadmin:P4ssw0rd!@pg-cluster-9918231.db.1st-services.com:5432/defaultdb?sslmode=require",
    "pool_uri": "postgresql://firstadmin:P4ssw0rd!@pg-cluster-9918231-pool.db.1st-services.com:6543/defaultdb?sslmode=require",
    "ssl_required": true
  }
}

Connecting via Application Clients

Node.js (Prisma / pg)

prisma/schema.prisma
datasource db {
  provider = "postgresql"
  url      = env("DATABASE_URL")
}
.env
DATABASE_URL="postgresql://firstadmin:P4ssw0rd!@pg-cluster-9918231-pool.db.1st-services.com:6543/defaultdb?sslmode=require"

Python (SQLAlchemy / asyncpg)

database.py
from sqlalchemy.ext.asyncio import create_async_engine

DATABASE_URL = "postgresql+asyncpg://firstadmin:P4ssw0rd!@pg-cluster-9918231.db.1st-services.com:5432/defaultdb?ssl=require"

engine = create_async_engine(DATABASE_URL, echo=True)
Copyright © 2026